summaryrefslogtreecommitdiffstats
path: root/academic/ncbi-rmblastn/ncbi-rmblastn.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/ncbi-rmblastn/ncbi-rmblastn.SlackBuild')
-rw-r--r--academic/ncbi-rmblastn/ncbi-rmblastn.SlackBuild24
1 files changed, 9 insertions, 15 deletions
diff --git a/academic/ncbi-rmblastn/ncbi-rmblastn.SlackBuild b/academic/ncbi-rmblastn/ncbi-rmblastn.SlackBuild
index 7e196c6153..451486417c 100644
--- a/academic/ncbi-rmblastn/ncbi-rmblastn.SlackBuild
+++ b/academic/ncbi-rmblastn/ncbi-rmblastn.SlackBuild
@@ -32,15 +32,12 @@ PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i386 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -53,11 +50,11 @@ OUTPUT=${OUTPUT:-/tmp}
set -e
# Determine the binary arch
-if [ "$ARCH" = "x86_64" ]; then
- BINARCH="x64"
-else
- BINARCH="ia32"
-fi
+case "$ARCH" in
+ x86_64) BINARCH="x64" ;;
+ i?86) BINARCH="ia32" ;;
+ *) echo "Unsupported ARCH '$ARCH'"; exit 1 ;;
+esac
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -68,17 +65,14 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
cd bin
-install -D -m755 rmblastn $PKG/usr/bin/rmblastn
+install -s -D -m755 rmblastn $PKG/usr/bin/rmblastn
cd ..
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild